Merge "[fuel] Handle CI DEBUG mode"
authorAric Gardner <agardner@linuxfoundation.org>
Wed, 31 Oct 2018 20:42:27 +0000 (20:42 +0000)
committerGerrit Code Review <gerrit@opnfv.org>
Wed, 31 Oct 2018 20:42:27 +0000 (20:42 +0000)
19 files changed:
jjb/apex/apex-functest-scenario.sh [new file with mode: 0644]
jjb/apex/apex-verify-jobs.yaml
jjb/apex/apex.yaml
jjb/apex/apex.yaml.j2
jjb/auto/auto.yaml
jjb/bottlenecks/bottlenecks-ci-jobs.yaml
jjb/bottlenecks/bottlenecks-project-jobs.yaml
jjb/doctor/doctor.yaml
jjb/dovetail/dovetail-ci-jobs.yaml
jjb/fuel/fuel-deploy.sh
jjb/functest/functest-alpine.sh
jjb/functest/functest-daily-jobs.yaml
jjb/joid/joid-daily-jobs.yaml
jjb/joid/joid-verify-jobs.yaml
jjb/releng/opnfv-docker.yaml
releases/gambia/bottlenecks.yaml [new file with mode: 0644]
releases/gambia/functest.yaml
releases/hunter/functest.yaml
utils/push-test-logs.sh

diff --git a/jjb/apex/apex-functest-scenario.sh b/jjb/apex/apex-functest-scenario.sh
new file mode 100644 (file)
index 0000000..dcbed44
--- /dev/null
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+features=$(echo $DEPLOY_SCENARIO | sed -r -n 's/os-.+-(.+)-(noha|ha)/\1/p')
+if [ "$features" == 'rocky' ]; then
+  functest_scenario=$(echo $DEPLOY_SCENARIO | sed -r -n 's/(os-.+?)-rocky-(noha|ha)/\1-nofeature-\2/p')
+  echo "DOCKER_TAG=hunter" > functest_scenario
+elif [[ "$features" =~ 'rocky' ]]; then
+  functest_scenario=$(echo $DEPLOY_SCENARIO | sed -r -n 's/(os-.+?)-(.+)_rocky-(noha|ha)/\1-\2-\3/p')
+  echo "DOCKER_TAG=hunter" > functest_scenario
+else
+  functest_scenario=$DEPLOY_SCENARIO
+  echo "DOCKER_TAG=$([[ ${BRANCH##*/} == "master" ]] && \
+    echo "latest" || echo ${BRANCH##*/})" > functest_scenario
+fi
+echo "DEPLOY_SCENARIO=$functest_scenario" >> functest_scenario
index fb52fa1..9cccf6d 100644 (file)
             echo "DOCKER_TAG=hunter" > functest_tag
           elif [[ "$features" =~ 'rocky' ]]; then
             echo "DOCKER_TAG=hunter" > functest_tag
+          else
+            echo "DOCKER_TAG=''" > functest_tag
           fi
       - inject:
           properties-file: functest_tag
               current-parameters: false
               predefined-parameters: |
                 DEPLOY_SCENARIO=$DEPLOY_SCENARIO
-                DOCKER_TAG=$DOCKER_TAG
+                DOCKER_TAG=""
                 FUNCTEST_SUITE_NAME=tempest_smoke
                 FUNCTEST_MODE=testcase
                 GERRIT_BRANCH=$GERRIT_BRANCH
index fb0dae1..3311589 100644 (file)
               kill-phase-on: NEVER
               abort-all-job: true
               git-revision: false
-      - shell: |
-          features=$(echo $DEPLOY_SCENARIO | sed -r -n 's/os-.+-(.+)-(noha|ha)/\1/p')
-          if [ "$features" == 'rocky' ]; then
-            functest_scenario=$(echo $DEPLOY_SCENARIO | sed -r -n 's/(os-.+?)-rocky-(noha|ha)/\1-nofeature-\2/p')
-            echo "DOCKER_TAG=hunter" > functest_scenario
-          elif [[ "$features" =~ 'rocky' ]]; then
-            functest_scenario=$(echo $DEPLOY_SCENARIO | sed -r -n 's/(os-.+?)-(.+)_rocky-(noha|ha)/\1-\2-\3/p')
-            echo "DOCKER_TAG=hunter" > functest_scenario
-          else
-            functest_scenario=$DEPLOY_SCENARIO
-          fi
-          echo "DEPLOY_SCENARIO=$functest_scenario" >> functest_scenario
+      - shell:
+          !include-raw-escape: ./apex-functest-scenario.sh
       - inject:
           properties-file: functest_scenario
           override-build-parameters: true
           name: DEPLOY_SCENARIO
           default: '{scenario}'
           description: "Scenario to deploy with."
+      - string:
+          name: DOCKER_TAG
+          default: ''
+          description: Default docker tag to pass to functest
 
     properties:
       - logrotate-default
             - name: 'functest-apex-baremetal-daily-{scenario_stream}'
               node-parameters: true
               current-parameters: false
-              predefined-parameters:
+              predefined-parameters: |
                 DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                DOCKER_TAG=$DOCKER_TAG
               kill-phase-on: NEVER
               abort-all-job: false
               git-revision: false
index 4d77f4a..3517152 100644 (file)
               kill-phase-on: NEVER
               abort-all-job: true
               git-revision: false
-      - shell: |
-          features=$(echo $DEPLOY_SCENARIO | sed -r -n 's/os-.+-(.+)-(noha|ha)/\1/p')
-          if [ "$features" == 'rocky' ]; then
-            functest_scenario=$(echo $DEPLOY_SCENARIO | sed -r -n 's/(os-.+?)-rocky-(noha|ha)/\1-nofeature-\2/p')
-            echo "DOCKER_TAG=hunter" > functest_scenario
-          elif [[ "$features" =~ 'rocky' ]]; then
-            functest_scenario=$(echo $DEPLOY_SCENARIO | sed -r -n 's/(os-.+?)-(.+)_rocky-(noha|ha)/\1-\2-\3/p')
-            echo "DOCKER_TAG=hunter" > functest_scenario
-          else
-            functest_scenario=$DEPLOY_SCENARIO
-          fi
-          echo "DEPLOY_SCENARIO=$functest_scenario" >> functest_scenario
+      - shell:
+          !include-raw-escape: ./apex-functest-scenario.sh
       - inject:
           properties-file: functest_scenario
           override-build-parameters: true
           name: DEPLOY_SCENARIO
           default: '{scenario}'
           description: "Scenario to deploy with."
+      - string:
+          name: DOCKER_TAG
+          default: ''
+          description: Default docker tag to pass to functest
 
     properties:
       - logrotate-default
             - name: 'functest-apex-baremetal-daily-{scenario_stream}'
               node-parameters: true
               current-parameters: false
-              predefined-parameters:
+              predefined-parameters: |
                 DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                DOCKER_TAG=$DOCKER_TAG
               kill-phase-on: NEVER
               abort-all-job: false
               git-revision: false
index 58838d6..abba9c8 100644 (file)
           branch: '{stream}'
           gs-pathname: ''
           disabled: false
-      - fraser: &fraser
+      - gambia:
+          branch: 'stable/{stream}'
+          gs-pathname: '/{stream}'
+          disabled: false
+      - fraser:
           branch: 'stable/{stream}'
           gs-pathname: '/{stream}'
           disabled: false
     name: 'fuel-os-nosdn-onap-ha-auto-baremetal-fraser-trigger'
     triggers:
       - timed: ''
+# ---------------------------------------------------------------------
+# Auto CI Baremetal Triggers running against gambia branch
+# ---------------------------------------------------------------------
+- trigger:
+    name: 'fuel-os-nosdn-onap-ha-auto-baremetal-gambia-trigger'
+    triggers:
+      - timed: ''
index 4c302dd..0a48eed 100644 (file)
@@ -19,8 +19,8 @@
       gs-packagepath: '/{suite}'
       # docker tag used for version control
       docker-tag: 'latest'
-    fraser: &fraser
-      stream: fraser
+    gambia: &gambia
+      stream: gambia
       branch: 'stable/{stream}'
       gs-pathname: '/{stream}'
       gs-packagepath: '/{stream}/{suite}'
           slave-label: compass-baremetal-branch
           installer: compass
           auto-trigger-name: 'daily-trigger-disabled'
-          <<: *fraser
+          <<: *gambia
       - virtual:
           slave-label: compass-virtual-branch
           installer: compass
           auto-trigger-name: 'daily-trigger-disabled'
-          <<: *fraser
+          <<: *gambia
 
     # -------------------------------
     #        None-CI PODs
index d4930d7..dac1659 100644 (file)
           # This is used for different test suite dependent packages storage
           gs-packagepath: '/{suite}'
           disabled: false
-      - fraser: &fraser
+      - gambia:
+          branch: 'stable/{stream}'
+          gs-pathname: '/{stream}'
+          gs-packagepath: '/{stream}/{suite}'
+          disabled: false
+      - fraser:
           branch: 'stable/{stream}'
           gs-pathname: '/{stream}'
           gs-packagepath: '/{stream}/{suite}'
@@ -70,7 +75,6 @@
                   branch-pattern: '**/{branch}'
 
     builders:
-      # - bottlenecks-hello
       - bottlenecks-unit-tests
 
 - job-template:
 
     builders:
       - bottlenecks-hello
-      # - bottlenecks-unit-tests
 
 - job-template:
     name: 'bottlenecks-{suite}-upload-artifacts-{stream}'
index a79ffc9..5b4c4b0 100644 (file)
                 GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
               kill-phase-on: FAILURE
               git-revision: true
-            - name: 'doctor-verify-maintenance-apex-sample-x86_64-{stream}'
+      - multijob:
+          name: 'doctor-verify-congress'
+          execution-type: PARALLEL
+          projects:
+            - name: 'doctor-verify-fault_management-apex-congress-x86_64-{stream}'
               predefined-parameters: |
                 PROJECT=$PROJECT
                 GERRIT_BRANCH=$GERRIT_BRANCH
               kill-phase-on: FAILURE
               git-revision: true
       - multijob:
-          name: 'doctor-verify-congress'
+          name: 'doctor-verify-sample-all'
           execution-type: PARALLEL
           projects:
-            - name: 'doctor-verify-fault_management-apex-congress-x86_64-{stream}'
+            - name: 'doctor-verify-all-apex-sample-x86_64-{stream}'
               predefined-parameters: |
                 PROJECT=$PROJECT
                 GERRIT_BRANCH=$GERRIT_BRANCH
                 GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
               kill-phase-on: FAILURE
               git-revision: true
-      - multijob:
-          name: 'doctor-verify-sample-all'
-          execution-type: PARALLEL
-          # This would be for running all test cases with sample inspector
       - multijob:
           name: 'doctor-verify-congress-all'
           execution-type: PARALLEL
index e3b87c7..02a33cc 100644 (file)
       dovetail-branch: 'stable/{stream}'
       gs-pathname: '/{stream}'
       docker-tag: 'ovp-2.0.0'
+    gambia: &gambia
+      stream: gambia
+      branch: 'stable/{stream}'
+      dovetail-branch: 'master'
+      gs-pathname: '/{stream}'
+      docker-tag: 'latest'
 
     # ----------------------------------
     # POD, PLATFORM, AND BRANCH MAPPING
           SUT: compass
           auto-trigger-name: 'daily-trigger-disabled'
           <<: *fraser
+      - baremetal:
+          slave-label: compass-baremetal
+          SUT: compass
+          auto-trigger-name: 'daily-trigger-disabled'
+          <<: *gambia
+      - virtual:
+          slave-label: compass-virtual
+          SUT: compass
+          auto-trigger-name: 'daily-trigger-disabled'
+          <<: *gambia
       # -------------------------------
       #    Installers not using labels
       #            CI PODs
index 418b814..8bc5fa2 100755 (executable)
@@ -19,6 +19,9 @@ LAB_NAME=${NODE_NAME/-*}
 # shellcheck disable=SC2153
 POD_NAME=${NODE_NAME/*-}
 
+# define Docker tag for stable branches
+[[ "${BRANCH}" != master ]] && export MCP_DOCKER_TAG=${BRANCH##*/}
+
 # Fuel currently supports arm, enea, ericsson, intel, lf, unh and zte labs
 if [[ ! "${LAB_NAME}" =~ (arm|enea|ericsson|intel|lf|unh|zte) ]]; then
     echo "Unsupported/unidentified lab ${LAB_NAME}. Cannot continue!"
index f0733b6..42bf60b 100755 (executable)
@@ -132,10 +132,6 @@ envs="-e INSTALLER_TYPE=${INSTALLER_TYPE} -e INSTALLER_IP=${INSTALLER_IP} \
 
 ssh_options="-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
 
-if [[ "${INSTALLER_TYPE}" == 'apex' ]] || [[ "${INSTALLER_TYPE}" == 'compass' ]]; then
-    envs="${envs} -e STORAGE_PROTOCOL=ceph"
-fi
-
 if [ "${INSTALLER_TYPE}" == 'fuel' ]; then
     COMPUTE_ARCH=$(ssh -l ubuntu ${INSTALLER_IP} -i ${SSH_KEY} ${ssh_options} \
         "sudo salt 'cmp*' grains.get cpuarch --out yaml | awk '{print \$2; exit}'")
@@ -158,6 +154,10 @@ if [[ ${INSTALLER_TYPE} == 'compass' && ${DEPLOY_SCENARIO} =~ 'sfc' ]]; then
     envs="${envs} -e EXTERNAL_NETWORK=${EXTERNAL_NETWORK}"
 fi
 
+if [[ ${INSTALLER_TYPE} == 'compass' ]] || [[ ${DEPLOY_SCENARIO} == *"odl"* ]]; then
+      envs="${envs} -e SDN_CONTROLLER_RESTCONFPORT=8080"
+fi
+
 if [[ ${DEPLOY_SCENARIO} == *"ovs"* ]] || [[ ${DEPLOY_SCENARIO} == *"fdio"* ]]; then
     if [[ -n ${IMAGE_PROPERTIES} ]]; then
         IMAGE_PROPERTIES="${IMAGE_PROPERTIES},hw_mem_page_size:large"
@@ -171,7 +171,88 @@ if [[ -n ${IMAGE_PROPERTIES} ]] || [[ -n ${FLAVOR_EXTRA_SPECS} ]]; then
     envs="${envs} -e IMAGE_PROPERTIES=${IMAGE_PROPERTIES} -e FLAVOR_EXTRA_SPECS=${FLAVOR_EXTRA_SPECS}"
 fi
 
-volumes="${images_vol} ${results_vol} ${sshkey_vol} ${libvirt_vol} ${userconfig_vol} ${rc_file_vol} ${cacert_file_vol}"
+tempest_conf_yaml=$(mktemp)
+case ${INSTALLER_TYPE} in
+apex)
+    cat << EOF > "${tempest_conf_yaml}"
+---
+compute-feature-enabled:
+    shelve: false
+    vnc_console: true
+identity-feature-enabled:
+    api_v2: false
+    api_v2_admin: false
+image-feature-enabled:
+    api_v2: true
+    api_v1: false
+volume:
+    storage_protocol: ceph
+volume-feature-enabled:
+    backup: false
+EOF
+    ;;
+compass)
+    cat << EOF > "${tempest_conf_yaml}"
+---
+compute-feature-enabled:
+    shelve: false
+    vnc_console: false
+    spice_console: true
+identity-feature-enabled:
+    api_v2: false
+    api_v2_admin: false
+image-feature-enabled:
+    api_v2: true
+    api_v1: false
+volume:
+    storage_protocol: ceph
+volume-feature-enabled:
+    backup: false
+EOF
+    ;;
+fuel)
+    cat << EOF > "${tempest_conf_yaml}"
+---
+compute-feature-enabled:
+    shelve: false
+    vnc_console: false
+    spice_console: true
+identity-feature-enabled:
+    api_v2: false
+    api_v2_admin: false
+image-feature-enabled:
+    api_v2: true
+    api_v1: false
+volume:
+    storage_protocol: iSCSI
+volume-feature-enabled:
+    backup: false
+EOF
+    ;;
+*)
+    cat << EOF > "${tempest_conf_yaml}"
+---
+compute-feature-enabled:
+    shelve: false
+    vnc_console: false
+identity-feature-enabled:
+    api_v2: false
+    api_v2_admin: false
+image-feature-enabled:
+    api_v2: true
+    api_v1: false
+volume:
+    storage_protocol: iSCSI
+volume-feature-enabled:
+    backup: false
+EOF
+    ;;
+esac
+echo "tempest_conf.yaml:" && cat "${tempest_conf_yaml}"
+
+volumes="${images_vol} ${results_vol} ${sshkey_vol} ${libvirt_vol} \
+    ${userconfig_vol} ${rc_file_vol} ${cacert_file_vol} \
+    -v ${tempest_conf_yaml}:/usr/lib/python2.7/site-packages/functest/opnfv_tests/openstack/tempest/custom_tests/tempest_conf.yaml"
 
 ret_val_file="${HOME}/opnfv/functest/results/${BRANCH##*/}/return_value"
 echo 0 > ${ret_val_file}
index 8d3883a..34aee8a 100644 (file)
       - string:
           name: DEPLOY_SCENARIO
           default: 'os-nosdn-nofeature-noha'
+      - string:
+          name: DOCKER_TAG
+          default: ''
       - string:
           name: CLEAN_DOCKER_IMAGES
           default: 'false'
index 46ba1d2..1766d61 100644 (file)
     fraser: &fraser
       stream: fraser
       branch: 'stable/{stream}'
-      disabled: false
+      disabled: true
       gs-pathname: '/{stream}'
     master: &master
       stream: master
       branch: '{stream}'
-      disabled: false
+      disabled: true
       gs-pathname: ''
     # -------------------------------
     # POD, INSTALLER, AND BRANCH MAPPING
index 95ab052..d7cdec6 100644 (file)
       - master:
           branch: '{stream}'
           gs-pathname: ''
-          disabled: false
+          disabled: true
       - fraser: &fraser
           branch: 'stable/{stream}'
           gs-pathname: '/{stream}'
-          disabled: false
+          disabled: true
     #####################################
     # patch verification phases
     #####################################
index 9bbcdfe..fb186ae 100644 (file)
           dockerfile: 'Dockerfile'
           <<: *master
           <<: *other-receivers
+      - 'clover-spark':
+          project: 'clover'
+          dockerdir: 'clover/spark/docker/clover-spark'
+          dockerfile: 'Dockerfile'
+          <<: *master
+          <<: *other-receivers
+      - 'clover-spark-submit':
+          project: 'clover'
+          dockerdir: 'clover/spark/docker/spark-submit'
+          dockerfile: 'Dockerfile'
+          <<: *master
+          <<: *other-receivers
+      - 'clover-clovisor':
+          project: 'clover'
+          dockerdir: 'clover/clovisor'
+          dockerfile: 'Dockerfile'
+          <<: *master
+          <<: *other-receivers
       - 'cperf':
           project: 'cperf'
           <<: *master
diff --git a/releases/gambia/bottlenecks.yaml b/releases/gambia/bottlenecks.yaml
new file mode 100644 (file)
index 0000000..d32d207
--- /dev/null
@@ -0,0 +1,9 @@
+---
+project: bottlenecks
+project-type: testing
+release-model: stable
+
+branches:
+  - name: stable/gambia
+    location:
+      bottlenecks: 399ec2f328f56c1f81c454ecedfb6b99eaf93c42
index f21aec0..722a35e 100644 (file)
@@ -3,6 +3,14 @@ project: functest
 project-type: testing
 release-model: stable
 
+releases:
+  - version: opnfv-7.0.0
+    location:
+      functest: b7f9b53a34cd8ffcc9df4d2f286e55e13adb4a58
+  - version: opnfv-7.0.0
+    location:
+      functest-kubernetes: fd5c939094244458aea31ead8c6519da95266c2a
+
 branches:
   - name: stable/gambia
     location:
index 5fcc5c9..064ae05 100644 (file)
@@ -3,6 +3,14 @@ project: functest
 project-type: testing
 release-model: stable
 
+releases:
+  - version: opnfv-8.0.0
+    location:
+      functest: a3355e22585c66823c430d6adcdef8dddacb33a1
+  - version: opnfv-8.0.0
+    location:
+      functest-kubernetes: ec2bf0e8bd1b4d3b2c4e2894820d2cbb454e36e7
+
 branches:
   - name: stable/hunter
     location:
index 075a622..253cfa7 100644 (file)
@@ -29,12 +29,11 @@ node_list=(\
 'ericsson-virtual4' 'ericsson-virtual5' \
 'arm-pod5' 'arm-pod6' \
 'huawei-pod1' 'huawei-pod2' 'huawei-pod3' 'huawei-pod4' \
-'huawei-pod6' 'huawei-pod7' 'huawei-pod12' \
+'huawei-pod6' 'huawei-pod7' 'huawei-pod12' 'huawei-pod8' \
 'huawei-virtual1' 'huawei-virtual2' 'huawei-virtual3' 'huawei-virtual4' \
 'huawei-virtual5' 'huawei-virtual8' 'huawei-virtual9' \
 'zte-pod2' 'zte-pod3' 'zte-pod9' \
-'zte-virtual1' \
-'arm-virtual3')
+'zte-virtual1')
 
 
 if [[ ! " ${node_list[@]} " =~ " ${testbed} " ]]; then